##
# PloneSVNaccess<br>
#  Providing read and write access to subversion.<br>
#<br>
# PloneSVNaccess.py<br>
#  Validation.<br>
#<br>
# Author: Christian Koller 'admin@iecw.net'.<br>
#<br>
# Released under GNU GPL v2 or later.
##

from Products.validation.interfaces import ivalidator
import pysvn 

##
# Tests if the value is one of the allowed values
#
class AllowedSVNurl:
	__implements__ = (ivalidator,)

	def __init__(self, name, allowed):
		self.name = name
		self.allowed = allowed

	def __call__(self, value, *args, **kwargs):		
		client = pysvn.Client()
		if self.allowed.count(value) > 0:
			return True
		else:
			return ("""
			Error: '%(value)s' is not a allowed subversion access mode. Use one off: %(allowed)s.
			""" % {'value': value, 'allowed': self.allowed})